QGIS Application - Bug report #15778
red crosses appear after converting delimited text layer with pie charts to shapefile
2016-10-28 07:38 AM - Renate Wesselingh

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 23699
Description

| have been importing my data using a csv file, which works without problems. | have then been able to make pie charts to display my
data, still working in the delimited text layer, using Diagrams in the Layer Properties. But since the attributes table of a delimited text layer
cannot be modified, | saved the layer as a shapefile. However, this introduced an extra set of markers that | could not get rid of: red
crosses appear at the coordinates of each point and they did not want to go away. This also happened when | imported my data using the
GeoCSV plugin. | have found a workaround to avoid getting red crosses: if | save the delimited text layer as a shapefile pretty much
directly after importing it, at least before activating Diagrams, the red crosses do not appear after saving the layer as a shapefile. So it
seems that this bug is related to having a v in the Show Diagrams checkbox. Unchecking this box in the delimited text layer before saving
as a shapefile also works to avoid getting the crosses, but then all the information about the assigned attributes (hames, colours) and all
other properties (size, placement) is lost, so it basically means that | have to do the work all over again after conversion.

History

#1 - 2016-10-28 01:03 PM - Nyall Dawson
- Status changed from Open to Feedback

Looks like your layer is in edit mode. Try switching that off

#2 - 2017-01-02 07:45 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

#3 - 2017-09-22 09:55 AM - Jiirgen Fischer

- Category set to Unknown
